package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

public class BasicEnum {
    @Getter
    @AllArgsConstructor
    public enum ManufacturerEnum {
        HK(1, "海康", "HK");

        private Integer id;
        private String nick;
        private String code;

        public static String getNickById(Integer id) {
            for (ManufacturerEnum value : values()) {
                if (value.getId().equals(id)) {
                    return value.getNick();
                }
            }
            return null;
        }
    }
}
